// per installare il modulo sulla propria app/portale, basta semplicemente creare un nodo html e assegnargli l'attributo id="map" 
// e come contenuto testuale, l'indirizzo di partenza, che potrebbe anche essere dinamico a seconda delle esigenze (se viene valorizzato, non verranno considerati i valori latitudine_iniziale, longitudine_iniziale, luogo_iniziale)
// ES: <div id="map">Salerno {{ field_indirizzo }}</div>
// a questo punto, sul load della pagina (se importati i file giusti), chiamare la funzione initMap() del file main.js
/*
    window.onload = function() { 
            initMap();
      };
*/
// I file da importare nella pagina in ordine sono:
/*
      /openmaps/lib/ol.css
      /openmaps/css/style.min.css
      /openmaps/css/style_map.css
        
        /openmaps/lib/elm-pep.js
      /openmaps/lib/superagent.js
      /openmaps/lib/ol.js
      /openmaps/config/config.js
      /openmaps/custom_js/custom.js
      /openmaps/main.js
*/


// posizione iniziale (on load) della mappa con latitudine e longitudine (se NULL allora prenderà in considerazione "luogo_iniziale")
var latitudine_iniziale = null /*40.67348000000004*/;
var longitudine_iniziale = null /*14.771250000000066*/;
// posizione iniziale (on load) della mappa con nome luogo (se NULL allora prenderà in considerazione "latitudine_iniziale" e "longitudine_iniziale")
var luogo_iniziale = 'Salerno';
// zoom iniziale (on load) della mappa
var zoom_iniziale = 14;
// personalizzazione contenuto dei markers popup
// chiavi:
// #TITLE
// #ADDRESS
// #PHONE
// #WEBSITE
// #TYPE
// #COUNTRY
// #CITY
// l'informazione relativa alla chiave scelta potrebbe non essere disponibile nei flussi OSM
var content_markers_popup = "<h2>#TITLE</h2>#ADDRESS<br><a href='#WEBSITE' target='_blank'>#WEBSITE</a><br><a href='callto://#PHONE'>#PHONE</a><br><strong>#CITY</strong>, <strong>#COUNTRY</strong>";
// i pulsanti attivabili sono "buttonClearMakers","buttonCategories","buttonEditing","buttonRoute"
var buttons_actived = ["buttonClearMakers", "buttonCategories"];
// se diverso da NULL, viene precaricata (on load) la categoria del luogo riportato con tutti i marker relativi (esempio tutti i bar subito)
var categoria_luogo_iniziale = null;
// tipologia iniziale di percorso da calcolare (macchina, camion, bici, ecc...)
var typerouting = "driving-car";
// path configurabile delle immagini di utils (le immagini di utils sono sostituibili/configurabili ma mantenere lo stesso nome ed estensione)
var pathImages = "/assets/openmaps/utils_images/";
// path configurabile delle immagini di markers  (le immagini markers sono sostituibili/configurabili ma mantenere lo stesso nome ed estensione)
var pathMarkers = "/assets/openmaps/markers_images";


// Se c'è la necessità di attivare la funzionalità di selezione luoghi predefiniti (pulsante "buttonCategories"),
// bisogna popolare l'array con le categorie desiderate per attivare i relativi pulsanti.
// Inoltre per l'array categorie_luoghi e categorie_luoghi_tradotti si può:
// 	- commentare la categoria per la disattivazione del pulsante che non sarà più visualizzabile al click su "Luoghi"
// 	- decommentare la categoria per l'attivazione del pulsante visualizzabile al click su "Luoghi"

// chiavi per il servizio openmaps
var categorie_luoghi = new Array(
      //'arts_centre',
      'bank',
      'bar',
      //'bench',
      //'bicycle_parking',
      'bicycle_rental',
      'bus_station',
      //'cafe',
      'car_rental',
      'car_wash',
      //'charging_station',
      //'childcare',
      'church',
      'cinema',
      //'clinic',
      //'college',
      //'courthouse',
      //'drinking_water',
      'fast_food',
      //'ferry_terminal',
      //'fire_station',
      //'fountain',
      'fuel',
      'hospital',
      //'ice_cream',
      //'kindergarten',
      //'left_luggage',
      'library',
      'marketplace',
      //'monastery',
      //'motorcycle_parking',
      //'parking_entrance',
      'parking',
      'pharmacy',
      //'place_of_worship',
      'police',
      //'post_box',
      'post_office',
      'pub',
      //'public_building',
      'restaurant',
      //'sanitary_dump_station',
      //'school',
      //'shelter',
      'taxi',
      //'telephone',
      'theatre',
      'railway station'
      //'toilets',
      //'townhall',
      //'vending_machine',
      //'watering_place'
);

// descrizioni pulsanti categorie per l'interfaccia openmaps
var categorie_luoghi_tradotti = new Array(
      //'arts_centre',
      'banca',
      'bar',
      //'bench',
      //'bicycle_parking',
      'noleggio bici',
      'fermate autobus',
      //'cafe',
      'noleggio auto',
      'autolavaggio',
      //'charging_station',
      //'childcare',
      'chiese',
      'cinema',
      //'clinic',
      //'college',
      //'courthouse',
      //'drinking_water',
      'fast food',
      //'ferry_terminal',
      //'fire_station',
      //'fountain',
      'distributori di benzina',
      'ospedali',
      //'ice_cream',
      //'kindergarten',
      //'left_luggage',
      'librerie',
      'mercato',
      //'monastery',
      //'motorcycle_parking',
      //'parking_entrance',
      'parcheggi',
      'farmacie',
      //'place_of_worship',
      'police',
      //'post_box',
      'ufficio postale',
      'pub',
      //'public_building',
      'ristoranti',
      //'sanitary_dump_station',
      //'school',
      //'shelter',
      'taxi',
      //'telephone',
      'teatri',
      'stazione ferroviaria'
      //'toilets',
      //'townhall',
      //'vending_machine',
      //'watering_place'
);


var duration_geolocalization_check = 10000;
