import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { CategoriaPoi } from 'src/app/models';
import { MACS_API } from 'src/app/utility';

import { ResultDTO } from '../../models/resultDTO';

const GPC = '/configure/1.0/getPoiCategories';
@Injectable({
	providedIn: 'root',
})
export class PoiService {
	constructor(private httpClient: HttpClient) {}

	getCategoriePoi(): Observable<ResultDTO<Array<CategoriaPoi>>> {
		return this.httpClient.get<ResultDTO<Array<CategoriaPoi>>>(`${MACS_API}${GPC}`);
	}

	getLocalCategoriePoi(): Observable<Array<CategoriaPoi>> {
		return this.httpClient.get<Array<CategoriaPoi>>('assets/mock/categorie-poi.json');
	}
}
